Subject: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Paul Eggert <[email-masked]>
Date: Sat, 13 Jun 2015 10:10:05 -0700

Eli Zaretskii wrote:
> Actually, an even better solution might be this: we explicitly specify
> fixed-medium font with iso10646-1 registry for these popular
> characters_before_  Symbola.  This is justified, I think, since the
> standard-fontset-spec on X specifies a fixed-medium font, so fit is
> iso10646-1 variant supports these commonly-used punctuation
> characters, it is a better candidate than Symbola, while the latter
> will still be used as fallback.
>
> WDYT?  Could you try this on your system and see if it work?

I'd be happy to try, but I'm afraid this is an area I don't know well and I 
don't see why the existing code doesn't already do what you'r suggesting. 
setup-default-fontset invokes (set-fontset-font "fontset-default" ... "Symbola" 
nil 'prepend), and later invokes (set-fontset-font "fontset-default" nil '(nil . 
"iso10646-1") nil 'prepend), so doesn't that mean that the iso10646-1 fonts are 
prepended before Symbola and so should take priority over Symbola already?

Anyway, If you can send me a patch along the lines you're thinking, I can try it.